/* geepro - Willem eprom programmer for linux
 * Copyright (C) 2006 Krzysztof Komarnicki
 * Email: krzkomar@wp.pl
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version. See the file COPYING. 
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */


#define ABOUT "Jul 29/2005 v 0.001\n Linux version based on epro v 0.992\nKrzysztof Komarnicki\n krzkomar@wp.pl"
#define STS_CHIP_ERASE_ERROR	"Blad kasowania"
#define STS_CHIP_ERASED		"Uklad skasowano"

#define MEMORY_ALLOCATION_ERROR_CHIP_QUEUE "Blad alokacji pamieci w funkcji register_chip()\n"

#define TXT_READING_PIC_PROGRAM_AREA_PB "Odczyt obszaru programu PIC"
#define TXT_READING_PIC_DATA_AREA_PB "Odczyt obszaru danych PIC"
#define STS_CHIP_DUMP		"Uklad zczytano"
#define TXT_READING_CHIP_PB	"Odczyt ukladu"
#define ALLOCATION_ERROR	"Blad alokacji pamieci\n"
#define STS_EMPTY		"Bufor pusty"
#define DEVICE_ENTRY_LB		"Nazwa ukladu: "
#define INIT_PORT_ERROR		"Nie mog zainicjowa portw we/wy\n"
#define STATUS_BAR_START_TXT	"Status"
//#define LAB_NOTE_1		"Ukad"
#define LAB_NOTE_1		"Uklad"
#define LAB_NB_BUFFER		"Bufor"
#define LAB_NOTE_3		"Test sprzetu"
#define FR_NB_01_TITLE		NULL
#define FR_NB_02_TITLE		NULL
#define FR_NB_03_TITLE		"Algorytm"
#define FR_NB_04_TITLE		"Ust. progr."
#define SIZE_HEX_LB		"Rozm pam (hex)"
#define CHECKSUM_LB		"Suma kontrolna"
#define SHIFT_LB		"Ofset adresu"
#define ALGO_NORMAL_LB		"Normalny"
#define ALGO_FAST_LB		"Szybki"
#define ALGO_EXPRESS_LB		"Ekspresowy"
//#define SKIP_FF_LB		"Pomi bajty 0xFF"
#define SKIP_FF_LB		"Pomin bajty 0xFF"

#define PCB_WILLEM_LB		"PCB3 / Willem"
#define LP0_LB			"/dev/lp0"
#define LP1_LB			"/dev/lp1"
#define LP2_LB			"/dev/lp2"
//#define TEST_BUTTON_LB	"Test podczenia"
#define TEST_BUTTON_LB		"Test podlaczenia"

#define OPEN_FILE_TIP		"Wczytaj plik"
#define SAVE_FILE_TIP		"Zapisz plik"
#define CLEAR_BUFFER_TIP	"Zeruj bufor"
#define READ_CHIP_TIP		"Odczytaj"
#define VERIFY_CHIP_TIP		"Porownaj z buforem"
#define ID_CHIP_TIP		"Czytaj sygnature"
#define LB_CHIP_TIP		"Bity zabezpieczenia"
#define ULB_CHIP_TIP		"Zdejmowanie zabezpieczen"
#define BLANK_CHIP_TIP		"Sprawdz czy skasowany"
#define PROGRAM_CHIP_TIP	"Programuj"
#define ERASE_CHIP_TIP    	"Kasuj"
#define ADD_PATH_QE_ERR		"Nie mozna znalezc wskaznika glownego menu\n"
#define ADD_CHIP_WARN_BUG	"Ostrzerzenie: Nie znaleziono sciezki dla elementu %s; element usuwam z listy (bug ?)\n"
#define ADD_CHIP_MSG		"Wiadomosc: Dodano uklad %s\n"
#define ADD_MODULE_ERROR	"Blad dodania modulu\n"
#define LD_MODULE_ERROR_LD	"Blad: %s\n"
#define LD_MODULE_ERROR_SYM	"Blad: %s\n"
#define CH_DIR_ERROR		"Blad zmiany katalogu\n"
#define BAD_CHIP_NAME		"Blad nazwy ukladu lub jego sciezki\n"
#define MALLOC_ERROR		"Blad alokacji pamieci\n"
#define LB_FR_FAST_OPTION	"Szybka opcja"
#define NO_FO_MSG		"Brak opcji"
#define FO_MAX_ITEM_MSG		"Osignieto max ilosc elementow szykich opcji\n"
#define TST_LB_ADDRESS		"Adres:"
#define TST_LB_DATA		"Dana:"
#define TST_LB_RD_DATA		"Odczyt D0..D7"
#define TST_LB_ZIF		"ZIF-32"
#define TST_LB_SET_AD		"Ustaw Adres/Dana "
#define TST_LB_SER_FR		"Pamiec 93Cxx"
#define TST_LB_CS		"Linia CS Pin 1"
#define TST_LB_CLK		"Linia CLOCK Pin 2"
#define TST_LB_DI		"Linia DI Pin 3"
#define TST_LB_SER_RD		"Odczyt DO Pin 4"
#define TST_LB_DIP		"DIP SW"

#define MB_FILE			"Plik"
#define MB_LOAD_BIN_FILE	"Wczytaj BIN"
#define MB_SAVE_BIN_FILE	"Zapisz BIN"
#define MB_LOAD_HEX_FILE	"Wczytaj HEX"
#define MB_SAVE_HEX_FILE	"Zapisz HEX"
#define MB_ABOUT_FILE		"O programie"
#define MB_EXIT_FILE		"Wyjscie"
#define MB_ACTION		"Akcja"
#define MB_CLR_BUFF_ACTION	"Kasowanie bufora"
#define MB_ERASE_ACTION		"Kasowanie ukladu"
#define MB_VERIFY_ACTION	"Weryfikacja"
#define MB_BL_TST_ACTION	"Uklad skasowany ?"
#define MB_WRITE_ACTION		"Zapis ukladu"
#define MB_READ_ACTION		"Odczyt ukladu"
#define MB_OPTIONS		"Opcje"
#define MB_DEVICE		"Uklad"

#define ABOUT_TITLE		"O programie"
#define BUTTON_OK		"OK"
#define BUTTON_NO		"Anuluj"
#define NO_CHIP_PLUGIN		"Brak wtyczki dla ukladu"
#define QUIT_TITLE		"Wiadomosc"
#define QUIT_MSG		"Naprawde chcesz wyjsc ?"

#define FSEL_LOAD		"Wcztaj plik"
#define FSEL_SAVE		"Zapisz plik"
